import { H as e, jm as s, jn as n, jo as i, jp as f, jq as w, jr as p, js as r, jt as R, ju as F, jv as l, jw as $, jx as c, jy as h, jz as k, jA as g, jB as m, jC as x, jD as j, jE as u, jF as b, jG as v, jH as C, jI as y, jJ as E, jK as S, jL as L, jM as T, jN as B, jO as z, jP as D, jQ as G, jR as q, jS as I, jT as M, jU as N, jV as P, jW as V, jX as A, jY as o, jZ as t, j_ as H, j$ as Q, k0 as J, iQ as K, k1 as O, k2 as U, k3 as W, k4 as X, k5 as Y, k6 as Z, k7 as _, k8 as ee, k9 as ae, ka as re, kb as oe, kc as te, kd as de, ke as se, kf as ne, kg as ie, kh as fe, ki as we, kj as pe, kk as Re, kl as Fe, km as le, kn as $e, ko as d, kp as ce, kq as he, kr as ke, ks as ge, kt as me, ku as xe, kv as je, kw as ue, kx as be, ky as ve, kz as Ce, kA as ye, kB as Ee, kC as Se, kD as Le, kE as Te, kF as Be, kG as ze, kH as De, kI as Ge, kJ as qe, kK as Ie, kL as Me, kM as Ne, kN as Pe, kO as Ve, kP as Ae, kQ as He, kR as Qe, kS as Je, kT as Ke, kU as Oe, a3 as a, kV as Ue } from "./56c67d3b.js";
import "react";
const Ye = {
  audio: /* @__PURE__ */ e(s, {}),
  autocomplete: /* @__PURE__ */ e(n, {}),
  button: /* @__PURE__ */ e(i, {}),
  calendar: /* @__PURE__ */ e(f, {}),
  carousel: /* @__PURE__ */ e(w, {}),
  cascader: /* @__PURE__ */ e(p, {}),
  chart: /* @__PURE__ */ e(r, {}),
  checkbox: /* @__PURE__ */ e(R, {}),
  collapsibleContainer: /* @__PURE__ */ e(F, {}),
  columnLayout: /* @__PURE__ */ e(l, {}),
  comment: /* @__PURE__ */ e($, {}),
  container: /* @__PURE__ */ e(c, {}),
  controlButton: /* @__PURE__ */ e(h, {}),
  custom: /* @__PURE__ */ e(k, {}),
  date: /* @__PURE__ */ e(g, {}),
  dateRange: /* @__PURE__ */ e(m, {}),
  divider: /* @__PURE__ */ e(x, {}),
  drawer: /* @__PURE__ */ e(j, {}),
  dropdown: /* @__PURE__ */ e(u, {}),
  file: /* @__PURE__ */ e(b, {}),
  fileViewer: /* @__PURE__ */ e(v, {}),
  floatTextContainer: /* @__PURE__ */ e(C, {}),
  form: /* @__PURE__ */ e(y, {}),
  grid: /* @__PURE__ */ e(E, {}),
  icon: /* @__PURE__ */ e(S, {}),
  iframe: /* @__PURE__ */ e(L, {}),
  image: /* @__PURE__ */ e(T, {}),
  imageEditor: /* @__PURE__ */ e(B, {}),
  input: /* @__PURE__ */ e(z, {}),
  jsonEditor: /* @__PURE__ */ e(D, {}),
  jsonExplorer: /* @__PURE__ */ e(G, {}),
  jsonLottie: /* @__PURE__ */ e(q, {}),
  jsonSchemaForm: /* @__PURE__ */ e(I, {}),
  link: /* @__PURE__ */ e(M, {}),
  listView: /* @__PURE__ */ e(N, {}),
  meeting: /* @__PURE__ */ e(P, {}),
  mention: /* @__PURE__ */ e(V, {}),
  mermaid: /* @__PURE__ */ e(A, {}),
  modal: /* @__PURE__ */ e(o, {}),
  module: /* @__PURE__ */ e(t, {}),
  moduleContainer: /* @__PURE__ */ e(t, {}),
  // Placeholder or specify if there's a dedicated icon
  multiSelect: /* @__PURE__ */ e(H, {}),
  navigation: /* @__PURE__ */ e(Q, {}),
  numberInput: /* @__PURE__ */ e(J, {}),
  npmPlugin: /* @__PURE__ */ e(K, {}),
  // Placeholder or specify if there's a dedicated icon
  pageLayout: /* @__PURE__ */ e(O, {}),
  password: /* @__PURE__ */ e(U, {}),
  progress: /* @__PURE__ */ e(W, {}),
  progressCircle: /* @__PURE__ */ e(X, {}),
  qrCode: /* @__PURE__ */ e(Y, {}),
  radio: /* @__PURE__ */ e(Z, {}),
  rangeSlider: /* @__PURE__ */ e(_, {}),
  rating: /* @__PURE__ */ e(ee, {}),
  responsiveLayout: /* @__PURE__ */ e(ae, {}),
  richTextEditor: /* @__PURE__ */ e(re, {}),
  scanner: /* @__PURE__ */ e(oe, {}),
  segmentedControl: /* @__PURE__ */ e(te, {}),
  select: /* @__PURE__ */ e(de, {}),
  sharingcomponent: /* @__PURE__ */ e(se, {}),
  signature: /* @__PURE__ */ e(ne, {}),
  slider: /* @__PURE__ */ e(ie, {}),
  step: /* @__PURE__ */ e(fe, {}),
  switch: /* @__PURE__ */ e(we, {}),
  tabbedContainer: /* @__PURE__ */ e(pe, {}),
  table: /* @__PURE__ */ e(Re, {}),
  text: /* @__PURE__ */ e(Fe, {}),
  textArea: /* @__PURE__ */ e(le, {}),
  time: /* @__PURE__ */ e($e, {}),
  timeRange: /* @__PURE__ */ e(d, {}),
  timeline: /* @__PURE__ */ e(ce, {}),
  toggleButton: /* @__PURE__ */ e(he, {}),
  tour: /* @__PURE__ */ e(o, {}),
  tree: /* @__PURE__ */ e(ke, {}),
  treeSelect: /* @__PURE__ */ e(ge, {}),
  video: /* @__PURE__ */ e(me, {}),
  videocomponent: /* @__PURE__ */ e(xe, {}),
  hillchart: /* @__PURE__ */ e(je, {}),
  ganttChart: /* @__PURE__ */ e(ue, {}),
  kanban: /* @__PURE__ */ e(be, {}),
  openLayersGeoMap: /* @__PURE__ */ e(ve, {}),
  chartsGeoMap: /* @__PURE__ */ e(Ce, {}),
  bpmnEditor: /* @__PURE__ */ e(ye, {}),
  turnstileCaptcha: /* @__PURE__ */ e(Ee, {}),
  pivotTable: /* @__PURE__ */ e(Se, {}),
  funnelChart: /* @__PURE__ */ e(Le, {}),
  gaugeChart: /* @__PURE__ */ e(Te, {}),
  sankeyChart: /* @__PURE__ */ e(Be, {}),
  candleStickChart: /* @__PURE__ */ e(ze, {}),
  radarChart: /* @__PURE__ */ e(De, {}),
  heatmapChart: /* @__PURE__ */ e(Ge, {}),
  graphChart: /* @__PURE__ */ e(qe, {}),
  treeChart: /* @__PURE__ */ e(Ie, {}),
  treemapChart: /* @__PURE__ */ e(Me, {}),
  sunburstChart: /* @__PURE__ */ e(Ne, {}),
  themeriverChart: /* @__PURE__ */ e(Pe, {}),
  basicChart: /* @__PURE__ */ e(r, {}),
  avatar: /* @__PURE__ */ e(Ve, {}),
  avatarGroup: /* @__PURE__ */ e(Ae, {}),
  colorPicker: /* @__PURE__ */ e(He, {}),
  floatingButton: /* @__PURE__ */ e(Qe, {}),
  transfer: /* @__PURE__ */ e(Je, {}),
  card: /* @__PURE__ */ e(Ke, {}),
  timer: /* @__PURE__ */ e(d, {}),
  shape: /* @__PURE__ */ e(Oe, {})
}, Ze = a(Ue)`
  font-size: 13px;
  color: #333;
  .ant-tree-treenode {
    position: relative;
  }
  .ant-tree-switcher {
    width: 12px;
    margin: 0 2px;
    height: 26px;
    display: flex;
    align-items: center;
  }
  .ant-tree-title {
    padding-right: 6px;
    width: 100%;
  }
  .ant-tree-node-content-wrapper {
    padding: 0;
    display: flex;
    min-height: 26px;
    position: unset;
    .ant-tree-iconEle {
      width: 16px;
      height: 16px;
      margin: 0px 0px 0px 4px;
      display: flex;
      align-items: center;
      svg {
        width: 16px;
        height: 16px;
        stroke: #000;
      }
    }

  }
  .ant-tree-checkbox+span {
    padding-left: 0;
  }
  .ant-tree-treenode {
    padding: 0;
    max-width: 288px;
  }
  .ant-tree-indent-unit {
    width: 16px;
  }
  &.ant-tree.ant-tree-directory {
    .ant-tree-treenode:hover::before,
    .ant-tree-treenode-selected::before {
      bottom: 0;
    }
    .ant-tree-treenode:hover {
      &::before {
        background-color: rgba(242, 247, 252, 0.5);
      }
      .ant-tree-title svg {
        visibility: visible;
      }
    }
    .ant-tree-treenode.ant-tree-treenode-selected::before {
      background-color: #f2f7fc;
      height: 26px;
    }
    .ant-tree-node-content-wrapper.ant-tree-node-selected {
      color: #333;
    }
    .ant-tree-treenode-disabled {
      .ant-tree-node-content-wrapper {
        color: inherit;
      }
    }
  }
`, _e = a.span`
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  > span {
    span {
      height: 26px;
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
      flex: 1;
      width: 0;
    }
    width: 100%;
    display: flex;
    justify-content: space-between;
  }
  .no-data svg,
  .show-data svg {
    width: 40px;
    padding: 0 14px;
    height: 26px;
  }
  .show-data {
    height: 26px;
  }
  .no-data {
    visibility: hidden;
    height: 26px;
    &:hover {
      g {
        stroke: #222;
      }
    }
  }
  .show-data:hover svg{
    path {
      fill: #222;
    }
  }
`;
a.div`
  width: 100%; 
  border: 1px solid #E1E3EB;
  border-radius: 4px;
  overflow: hidden;
  background: #fff;
  padding: 0px;
  position: relative;
  margin: 4px 0px 4px 0};
  .simplebar-content > div {
    > .ant-collapse > .ant-collapse-item {
      > .ant-collapse-header {
        display: none;
      }
      > .ant-collapse-content > .ant-collapse-content-box {
        padding-left: 1px;
      }
    }
    &:hover,
    .ant-collapse-content-box > div > div:hover {
      background-color: #fff;
    }
  }
  .simplebar-track.simplebar-horizontal {
    display: none;
  }
  .simplebar-content > div {
    // padding: 0;
  }
`;
export {
  Ye as C,
  Ze as D,
  _e as N
};
